/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.Partition;
import net.northking.cctp.common.db.entity.Entity;

import java.util.Date;
import java.util.List;


/**
 * 跨项目级视图索引信息表2
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-12-15 14:16:57  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "跨项目级视图索引信息表2")
public class OverallViewIndex2 extends Partition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_viewName = "viewName";
  public static final String KEY_userId = "userId";
  public static final String KEY_recordType = "recordType";
  public static final String KEY_proId = "proId";
  public static final String KEY_createTime = "createTime";
  public static final String KEY_viewId = "viewId";

  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 32, message="-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 图名称<br>
   */
  @ApiModelProperty("图名称")
  @Size(max = 3200, message="图名称-viewName: 数据长度不能 > 3200" )
  private String viewName;
  /**
   * 用户id<br>
   */
  @ApiModelProperty("用户id")
  @Size(max = 50, message="用户id-userId: 数据长度不能 > 50" )
  private String userId;
  /**
   * 记录类型<br>
   */
  @ApiModelProperty("记录类型")
  @Size(max = 50, message="记录类型-recordType: 数据长度不能 > 50" )
  private String recordType;
  /**
   * 项目id<br>
   */
  @ApiModelProperty("项目id")
  @Size(max = 3200, message="项目id-proId: 数据长度不能 > 3200" )
  private String proId;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  @Size(max = 50, message="创建时间-createTime: 数据长度不能 > 50" )
  private String createTime;

  private List<String> proNameList;

  /**
   * 图id<br>
   */
  @ApiModelProperty("图id")
  @Size(max = 500, message="项目id-proId: 数据长度不能 > 500" )
  private String viewId;

  public String getViewId() {
    return viewId;
  }

  public void setViewId(String viewId) {
    this.viewId = viewId;
  }

  public List<String> getProNameList() {
    return proNameList;
  }

  public void setProNameList(List<String> proNameList) {
    this.proNameList = proNameList;
  }

  public String getCreateTime() {
    return createTime;
  }

  public void setCreateTime(String createTime) {
    this.createTime = createTime;
  }

  public String getProId() {
    return proId;
  }

  public void setProId(String proId) {
    this.proId = proId;
  }

  public String getRecordType() {
    return recordType;
  }

  public void setRecordType(String recordType) {
    this.recordType = recordType;
  }

  /**
   * <br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * <br>
   *
   * @param id 
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 图名称<br>
   */
  public String getViewName()
  {
      return viewName;
    }

  /**
   * 图名称<br>
   *
   * @param viewName 图名称
   */
  public void setViewName(String viewName)
  {
      this.viewName = viewName;
    }
  /**
   * 用户id<br>
   */
  public String getUserId()
  {
      return userId;
    }

  /**
   * 用户id<br>
   *
   * @param userId 用户id
   */
  public void setUserId(String userId)
  {
      this.userId = userId;
    }

  public OverallViewIndex2()
  {
  }

  @Override
  public String getCreatedBy() {
    return null;
  }

  @Override
  public void setCreatedBy(String s) {

  }

  @Override
  public Date getCreatedTime() {
    return null;
  }

  @Override
  public void setCreatedTime(Date date) {

  }

  @Override
  public String getUpdatedBy() {
    return null;
  }

  @Override
  public void setUpdatedBy(String s) {

  }

  @Override
  public Date getUpdatedTime() {
    return null;
  }

  @Override
  public void setUpdatedTime(Date date) {

  }
}
